summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2015-12-30 17:51:16 +0800
committerIan Delaney <idella4@gentoo.org>2015-12-30 17:52:41 +0800
commit58ea61a7ae090ad942d26bd43f29a11c1f6f2d6d (patch)
treeb9c0b16381b8e94bdb32fbb972102ab679644079
parentMerge remote-tracking branch 'remotes/sbraz/jaraco-functools' (diff)
parentdev-python/jaraco-collections: needed as a new dep to dev-python/irc (diff)
downloadgentoo-58ea61a7ae090ad942d26bd43f29a11c1f6f2d6d.tar.gz
gentoo-58ea61a7ae090ad942d26bd43f29a11c1f6f2d6d.tar.bz2
gentoo-58ea61a7ae090ad942d26bd43f29a11c1f6f2d6d.zip
Merge remote-tracking branch 'remotes/sbraz/jaraco-collections-text'
Pull request: https://github.com/gentoo/gentoo/pull/570
-rw-r--r--dev-games/ode/ode-0.13.ebuild4
-rw-r--r--dev-lang/hy/Manifest1
-rw-r--r--dev-lang/hy/hy-0.11.1.ebuild43
-rw-r--r--dev-python/jaraco-collections/Manifest1
-rw-r--r--dev-python/jaraco-collections/jaraco-collections-1.3.1.ebuild49
-rw-r--r--dev-python/jaraco-collections/metadata.xml14
-rw-r--r--dev-python/jaraco-text/Manifest1
-rw-r--r--dev-python/jaraco-text/jaraco-text-1.6.2.ebuild47
-rw-r--r--dev-python/jaraco-text/metadata.xml14
-rw-r--r--dev-ruby/bundler/bundler-1.11.2.ebuild2
-rw-r--r--dev-ruby/coolio/Manifest1
-rw-r--r--dev-ruby/coolio/coolio-1.4.2.ebuild63
-rw-r--r--dev-ruby/ruby-gettext/Manifest1
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.1.9.ebuild66
-rw-r--r--dev-ruby/ruby-ole/Manifest1
-rw-r--r--dev-ruby/ruby-ole/ruby-ole-1.2.12.ebuild29
-rw-r--r--eclass/ruby-fakegem.eclass13
-rw-r--r--games-rpg/grimrock/grimrock-20130515.ebuild1
-rw-r--r--mail-client/thunderbird/thunderbird-38.5.0.ebuild2
-rw-r--r--profiles/package.mask14
20 files changed, 356 insertions, 11 deletions
diff --git a/dev-games/ode/ode-0.13.ebuild b/dev-games/ode/ode-0.13.ebuild
index b123af80ca8..2f22678dbfc 100644
--- a/dev-games/ode/ode-0.13.ebuild
+++ b/dev-games/ode/ode-0.13.ebuild
@@ -59,14 +59,14 @@ src_install() {
fi
if use examples; then
docompress -x "${MY_EXAMPLES_DIR}"
- doexe drawstuff/dstest/dstest
insinto "${MY_EXAMPLES_DIR}"
+ exeinto "${MY_EXAMPLES_DIR}"
+ doexe drawstuff/dstest/dstest
doins ode/demo/*.{c,cpp,h} \
drawstuff/textures/*.ppm \
drawstuff/dstest/dstest.cpp \
drawstuff/src/{drawstuff.cpp,internal.h,x11.cpp}
cd ode/demo
- exeinto "${MY_EXAMPLES_DIR}"
local f
for f in *.c* ; do
doexe .libs/${f%.*}
diff --git a/dev-lang/hy/Manifest b/dev-lang/hy/Manifest
index 8f355589803..7a6c873e49d 100644
--- a/dev-lang/hy/Manifest
+++ b/dev-lang/hy/Manifest
@@ -1,4 +1,5 @@
DIST hy-0.10.0.tar.gz 340981 SHA256 524c9f2a2e0e789fe8896e9c7bea16c9f42e99d5b662080ec95e94de564523b9 SHA512 4f994289a00f16ed9c914fe8f37332d1bea9ddf3d2f42c30793da1030983d66d368d4bf75853dd76be14e440fca72aa3cccd3ddb5544e1db2b892a543bb1093b WHIRLPOOL 063ab5cf8e4f687a6bbbed9728e38e6ede0d1d7aa08e761175132428120ba31ed5ac39eaed9321b61b4a0f6a208cb69af6dc187c85d6de0139e1ff59f8d0153e
DIST hy-0.10.1.tar.gz 348807 SHA256 16247c2f776147a46cd6c3beed329836c8a7a98e7ccb4b1cc660fced9688e02c SHA512 d96a5857fc6985fe044a152b276572f7943d3c579cf54daa675ec5d3e5d44836c151eb58f8e5cea8811f3bcb32b724fb24f8d61dc9ba917972673630e9cff7dc WHIRLPOOL 72e73cf008379de0e7f734f9a2687c70143fbb11bbb377c131e22eabaad355a88ea034e2b659c9bd1fa168eabfd0b8a802d779ced84b99ea5adb0718339f54a1
DIST hy-0.11.0.tar.gz 358413 SHA256 c462fcba2af7b009d317a372ba23c74e7209284578a13c4803e6bd60ae22760e SHA512 16e80560b3b0ef6d1d95f222d41a721a1e9b7623d3b7a544c90ed3aad9cf4dee2c34ddb669669e6da2091e0fdbac1697e9249e87d235262cfd8023f69eaf7e37 WHIRLPOOL 2fe42d2843df1e2135b9b36fc413816843c8a4c2e2984bfabfc69722b4dbd353c6815807b27d3c1e2fa1061bfb4442ca0b3bb4de33f3482010141b3dff32f712
+DIST hy-0.11.1.tar.gz 358882 SHA256 8d53dd3d37dd15040b4e6fa514d480f88c935855c37ca9f4a4c0d0ed989aceaa SHA512 c3bb39e41bba306a529051aa214350dd51118bce956670b9688ecbd08d8e85c23efd4eae06977bab7f3a50f8cca1626d7a6442de6b59972fe1d91bdb791aa836 WHIRLPOOL 0dcebdd8e87470784603a92ae52bbccb6b84ad138fed5ec7bcb947ebc9d2042a43181805694cdad324f7691fae15758dc91bbc6d50f91b3541d95c9ec904ac80
DIST hy-0.9.12.tar.gz 166882 SHA256 d9e6341132144f11fa53f4601de052b14cca276d52968b31bb7ca23b1cd2cfd5 SHA512 2791e0f0640b1b20a57de1e60dcffc67e73b81010a25139cab9cb84a396f238ae369eb585f107280cb0f9b1abd75af558a4e896bc9970477458cdfa5618ca3f7 WHIRLPOOL d27fa19e34b27d130c7d50f7d8f9c4824dc20ea51552105ce676b10b58e3790839af96dc1486d7165a072a9837675fd9a709b25b9a96793b33a3918bea09eabb
diff --git a/dev-lang/hy/hy-0.11.1.ebuild b/dev-lang/hy/hy-0.11.1.ebuild
new file mode 100644
index 00000000000..5261e9d2f57
--- /dev/null
+++ b/dev-lang/hy/hy-0.11.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+RESTRICT="test" # needs some pointy sticks. Seriously.
+PYTHON_COMPAT=(python2_7 python3_3 python3_4)
+
+inherit distutils-r1 eutils
+DESCRIPTION="A LISP dialect running in python"
+HOMEPAGE="http://hylang.org/"
+SRC_URI="https://github.com/hylang/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test doc examples"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]
+ >=dev-python/rply-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/astor-0.5[${PYTHON_USEDEP}]
+ dev-python/clint[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/tox[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )"
+src_prepare() {
+ use examples && EXAMPLES=( eg/. )
+ use doc && HTML_DOCS=( docs/_build/html/. )
+}
+
+python_compile_all() {
+ use doc && emake docs
+}
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/jaraco-collections/Manifest b/dev-python/jaraco-collections/Manifest
new file mode 100644
index 00000000000..56ee04da232
--- /dev/null
+++ b/dev-python/jaraco-collections/Manifest
@@ -0,0 +1 @@
+DIST jaraco.collections-1.3.1.tar.gz 8616 SHA256 27e3d67f94372d70be25f46a48796441ca719aedbd4a411835e71e88455bbe66 SHA512 812fbb66543e204f09f4dc35fc43888b3e8e1cbbf4a2a0e75a0589286e1ee5b303dc30b93696d8fc952bb3dddab95d8ed5ddb09ad4511ad4e12069fb87a93386 WHIRLPOOL c8730e3bd1eb1950b523ce62e31f7e2d2fd46bacdcacd7c57b9b55f95cff51e025e47813af1777d362f83401822a4015fdd386e977bbbd26f9c1a130ff7aa65a
diff --git a/dev-python/jaraco-collections/jaraco-collections-1.3.1.ebuild b/dev-python/jaraco-collections/jaraco-collections-1.3.1.ebuild
new file mode 100644
index 00000000000..e54b66f9519
--- /dev/null
+++ b/dev-python/jaraco-collections/jaraco-collections-1.3.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Models and classes to supplement the stdlib collections module"
+HOMEPAGE="https://github.com/jaraco/jaraco.collections"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PDEPEND="dev-python/jaraco-text[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/jaraco-classes[${PYTHON_USEDEP}]
+dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+ if use test; then
+ if has_version "${CATEGORY}/${PN}"; then
+ die "Ensure $PN is not already installed or the test suite will fail"
+ elif ! has_version "dev-python/jaraco-text"; then
+ die "Ensure dev-python/jaraco-text is installed or the test suite will fail"
+ fi
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jaraco-collections/metadata.xml b/dev-python/jaraco-collections/metadata.xml
new file mode 100644
index 00000000000..18440792aa4
--- /dev/null
+++ b/dev-python/jaraco-collections/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>sautier.louis@gmail.com</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jaraco.collections</remote-id>
+ <remote-id type="github">jaraco/jaraco.collections</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/jaraco-text/Manifest b/dev-python/jaraco-text/Manifest
new file mode 100644
index 00000000000..7e4bbfe1fa5
--- /dev/null
+++ b/dev-python/jaraco-text/Manifest
@@ -0,0 +1 @@
+DIST jaraco.text-1.6.2.tar.gz 5938 SHA256 4781aac8b61170318cd3a3315258059e85f15c99914c0c2b97909c622992ac1d SHA512 ab67e982c35b7640610657b7f1e741d80d01eea43ed258dfade5b4e719304c7774f6d1b41010ab889ddf8c232199f69aa201b796fcfc2e892fc6b977761ccf92 WHIRLPOOL ee899129a9c98341f6ebeb4ec5c200e8139286b13a9c884780b61c66f34c8235d64f72ff9052f3c047d15e63f376ef4d0467cfa9315d6c0ed13d61c5526bd7d4
diff --git a/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild b/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild
new file mode 100644
index 00000000000..cb127512091
--- /dev/null
+++ b/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Text utilities used by other projects by developer jaraco"
+HOMEPAGE="https://github.com/jaraco/jaraco.text"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PDEPEND="dev-python/jaraco-collections[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/jaraco-functools[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+ if use test; then
+ if has_version "${CATEGORY}/${PN}"; then
+ die "Ensure $PN is not already installed or the test suite will fail"
+ elif ! has_version "dev-python/jaraco-collections"; then
+ die "Ensure dev-python/jaraco-collections is installed or the test suite will fail"
+ fi
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jaraco-text/metadata.xml b/dev-python/jaraco-text/metadata.xml
new file mode 100644
index 00000000000..088d700d9b2
--- /dev/null
+++ b/dev-python/jaraco-text/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>sautier.louis@gmail.com</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jaraco.text</remote-id>
+ <remote-id type="github">jaraco/jaraco.text</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/bundler/bundler-1.11.2.ebuild b/dev-ruby/bundler/bundler-1.11.2.ebuild
index 1730e472625..9356d3c2c74 100644
--- a/dev-ruby/bundler/bundler-1.11.2.ebuild
+++ b/dev-ruby/bundler/bundler-1.11.2.ebuild
@@ -14,6 +14,8 @@ RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md ISSUES.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_BINDIR="exe"
+
inherit ruby-fakegem
DESCRIPTION="An easy way to vendor gem dependencies"
diff --git a/dev-ruby/coolio/Manifest b/dev-ruby/coolio/Manifest
index 7d748b47df3..318ad3ed3a9 100644
--- a/dev-ruby/coolio/Manifest
+++ b/dev-ruby/coolio/Manifest
@@ -1 +1,2 @@
DIST cool.io-1.4.1.gem 109056 SHA256 3c40726d3f567e19ffa7db9a565c365793b637b4c1f1650d7dde479d35371164 SHA512 4226e02a0ec81379298389df779d11803a6dfe7853fad42b400e0b154c690cc01f7cb34e50e46b56edf04718195a9aff8e79b0de366f2f1f872567b23bbbb6b3 WHIRLPOOL a27d00ae8e90c29a7b5db0bf0b4e20374a58801838a8da1ffaca584c74c473808e90efa5af6abe5175598e802202f388f7d2a9731de3af5825d8c4e60567eb91
+DIST cool.io-1.4.2.gem 109568 SHA256 29922ff388da1ae2c17432e73dd35af58972dd7596bb5b065f6e158e45b45402 SHA512 fefa4140f4250f776505537abe3e87ce199e7aa5236ec98b92f88df3412a7347751ec0499f801c22eab11c051b4daa3317d161388bf904730d2db8aa98f3362a WHIRLPOOL 08e81de71a9c26fa4f7d6e2a8eba9919a4cffcb49a7875eddd881e7645bc15b1a62b681f736cbd88b05892cf484314af6972cd201236ca58cfc3f112889656f0
diff --git a/dev-ruby/coolio/coolio-1.4.2.ebuild b/dev-ruby/coolio/coolio-1.4.2.ebuild
new file mode 100644
index 00000000000..8b9682cb48b
--- /dev/null
+++ b/dev-ruby/coolio/coolio-1.4.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# iobuffer: -rbx
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_NAME="cool.io"
+
+RUBY_FAKEGEM_GEMSPEC="cool.io.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A high performance event framework for Ruby which uses the libev C library"
+HOMEPAGE="https://coolio.github.com/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND+=" >=dev-libs/libev-4.20"
+RDEPEND+=" >=dev-libs/libev-4.20"
+
+RUBY_PATCHES=( "${PN}-1.1.0-libev.patch" )
+
+ruby_add_rdepend ">=dev-ruby/iobuffer-1"
+
+all_ruby_prepare() {
+ rm -r Gemfile* ext/libev ext/cool.io/libev.c lib/.gitignore || die
+
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '28i s.add_dependency "iobuffer"' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid dependency on rake-compiler
+ sed -i -e '/extensiontask/ s:^:#:' \
+ -e '/ExtensionTask/,/^end/ s:^:#:' Rakefile || die
+
+ # Remove specs that require network connectivity
+ rm -f spec/dns_spec.rb || die
+
+ # Use one address consistently
+ sed -i -e 's/localhost/127.0.0.1/' spec/{udp_socket,tcp_server,iobuffer}_spec.rb || die
+
+ # Remove specs that fail, possibly due to libev
+ # incompatibility. Should be investigated but cool.io is no longer
+ # maintained.
+ rm -f spec/udp_socket_spec.rb || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/cool.io extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/cool.io
+ cp ext/cool.io/cool.io_ext$(get_modname) lib/ || die
+}
diff --git a/dev-ruby/ruby-gettext/Manifest b/dev-ruby/ruby-gettext/Manifest
index be5d89c5d3f..ae29ff8385c 100644
--- a/dev-ruby/ruby-gettext/Manifest
+++ b/dev-ruby/ruby-gettext/Manifest
@@ -2,3 +2,4 @@ DIST gettext-3.1.1.gem 221184 SHA256 323a1b07db0863e032436f6935a0e63a5ab7475ac8c
DIST gettext-3.1.2.gem 224768 SHA256 1ed987d0a46448cfc76617b486ad9a991e0d48501855e49eacb781aa531df6eb SHA512 14fbccf1d853bd58ae3ecbda3188294147404fb8473a54caeac505b93ffa25f96098786bd1171449aa1f0f74c4116e93b5d2f7c0705930dd014b210720667479 WHIRLPOOL 5a31bf87b38370276bf4c61886025f8721a7cb297012fbe6d1947abf82d1d35d779838506f5e56adbdda090a0ae20d4e5c74b9c4a08a4c782998d78b3a7c1768
DIST gettext-3.1.6.gem 282112 SHA256 b3b0d6cd779e3f99b3bd541300fd5ae8f5425f90d0314209b6eb70a7772c8a81 SHA512 8bf0f8203eef8b181400dfca8c67376b6dd64c7fc00177c20ced840791883c3988f12eefe55bb6b487473d8875f86ea8143feb15e814c83e29dcd0133dc2f73c WHIRLPOOL 5976fba52e84da77aa92aa61e498537ae8ee6294cdd64a0b18257b9df52e803e7ad3233a3964bdac9048cc4e78fc7a372b31cdbc117b2e164a84385419cc0f57
DIST gettext-3.1.7.gem 283136 SHA256 383ab62cfef66247e6907fb735aac53048a79e0bea93a6c9aa448c3aa98ee9c1 SHA512 e7cd1674b0e40ac8593d398a874355216544cba9e5aa082dab4aecd8ab8ee5a30ba3003bda4f097db2ac10bd3861ff8fa6a0c389f68b4467f22d90b88120cad5 WHIRLPOOL 8945141b1d9534b2bcc177f3711bfd4b9e24560e4f704f6c3d7640aef207547e000287a25f6f6e895abf75702af1d26b9af424a0183763a2a62b3a3726c56c2f
+DIST gettext-3.1.9.gem 283136 SHA256 68901981aa98cfebb1b1d65c800aafba73ad82b82047c060b51ab52470a25f61 SHA512 b06da799bde3d2d704283387d5bd79bb6a88cfd74200d7a566408b5c6078e23fb10aad72135feeece05b77b76f90a282ead7482ff0436d3615a13729aa7945a5 WHIRLPOOL 42602b14eaf7c9a37f933695314b9f317d869a6168b072ae278204c7d79c0f2c0277acfc9d47902ab8bb7c1118979fe3967eb029413eb2f3519501e03776fb97
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.1.9.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.1.9.ebuild
new file mode 100644
index 00000000000..fb25ab3a114
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.1.9.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby GetText Package is Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="http://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}
+ doins -r samples
+}
diff --git a/dev-ruby/ruby-ole/Manifest b/dev-ruby/ruby-ole/Manifest
index 336842967f7..b7395fc27f5 100644
--- a/dev-ruby/ruby-ole/Manifest
+++ b/dev-ruby/ruby-ole/Manifest
@@ -1 +1,2 @@
DIST ruby-ole-1.2.11.8.gem 56832 SHA256 e999b1d6be00a55181fb29162c685ad3e950025a4b8ef0e99eda173087f8cd31 SHA512 61a54256dd9805f0adcdd0559e36e78d3f0d030515f16e38d209ecd1f92ed6a25d639863eb8d56afa71ee5e0367f2b29dddc0b72537d7e2c098e83bcb7174ea8 WHIRLPOOL b2b3701da5ea6d34bb2b86bfaa56d0bc8e7b94ea3eb4a9cc5548e7103f4bec8c4489ca600b15fec2f9363f64e647da5184579b54cbbb85a3b14accccd3684456
+DIST ruby-ole-1.2.12.gem 56320 SHA256 134b717dd16beacaad2ab1399f14b773fce37865391ab7c6f19891ff3f5d8181 SHA512 297c94a52501b752a788f7fb40538bead6340d979f140fd7e36ab58849af857bae02fd8f334738270168943963d013d9b6226322926320d67a529c99d86f85c1 WHIRLPOOL 3f3fdac39bb4bbc94540c4798b5a98ca01360c4c9c0739d6415c4aaea718762f2e2190de24312de2c1844928a91da3de8156e0c0ebd408d91cbf7ab621a24133
diff --git a/dev-ruby/ruby-ole/ruby-ole-1.2.12.ebuild b/dev-ruby/ruby-ole/ruby-ole-1.2.12.ebuild
new file mode 100644
index 00000000000..f95babd098a
--- /dev/null
+++ b/dev-ruby/ruby-ole/ruby-ole-1.2.12.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+# Avoid the complexity of the "rake" recipe and run testrb-2 manually.
+RUBY_FAKEGEM_RECIPE_TEST=none
+
+# Same thing for the docs whose rake target just calls rdoc.
+RUBY_FAKEGEM_RECIPE_DOC=rdoc
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby library for easy read/write access to OLE compound documents"
+HOMEPAGE="https://github.com/aquasync/ruby-ole"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
+
+each_ruby_test() {
+ ruby-ng_testrb-2 --pattern='test.*\.rb' test/
+}
diff --git a/eclass/ruby-fakegem.eclass b/eclass/ruby-fakegem.eclass
index 7f2b0756896..977c68fae4d 100644
--- a/eclass/ruby-fakegem.eclass
+++ b/eclass/ruby-fakegem.eclass
@@ -82,6 +82,12 @@ inherit ruby-ng
# Binaries to wrap around (relative to the bin/ directory)
# RUBY_FAKEGEM_BINWRAP="*"
+# @ECLASS-VARIABLE: RUBY_FAKEGEM_BINDIR
+# @DESCRIPTION:
+# Path that contains binaries to be binwrapped. Equivalent to the
+# gemspec bindir option.
+# RUBY_FAKEGEM_BINDIR="bin"
+
# @ECLASS-VARIABLE: RUBY_FAKEGEM_REQUIRE_PATHS
# @DESCRIPTION:
# Extra require paths (beside lib) to add to the specification
@@ -111,6 +117,7 @@ RUBY_FAKEGEM_RECIPE_TEST="${RUBY_FAKEGEM_RECIPE_TEST-rake}"
RUBY_FAKEGEM_TASK_TEST="${RUBY_FAKEGEM_TASK_TEST-test}"
RUBY_FAKEGEM_BINWRAP="${RUBY_FAKEGEM_BINWRAP-*}"
+RUBY_FAKEGEM_BINDIR="${RUBY_FAKEGEM_BINDIR-bin}"
[[ ${RUBY_FAKEGEM_TASK_DOC} == "" ]] && RUBY_FAKEGEM_RECIPE_DOC="none"
@@ -319,7 +326,7 @@ ruby_fakegem_binwrapper() {
local gembinary=$1
local newbinary=${2:-/usr/bin/$gembinary}
local content=$3
- local relativegembinary=${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/bin/${gembinary}
+ local relativegembinary=${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/${RUBY_FAKEGEM_BINDIR}/${gembinary}
local binpath=$(dirname $newbinary)
[[ ${binpath} = . ]] && binpath=/usr/bin
@@ -475,7 +482,7 @@ each_fakegem_install() {
ruby_fakegem_install_gemspec
local _gemlibdirs="${RUBY_FAKEGEM_EXTRAINSTALL}"
- for directory in bin lib; do
+ for directory in "${RUBY_FAKEGEM_BINDIR}" lib; do
[[ -d ${directory} ]] && _gemlibdirs="${_gemlibdirs} ${directory}"
done
@@ -511,7 +518,7 @@ all_fakegem_install() {
# binary wrappers; we assume that all the implementations get the
# same binaries, or something is wrong anyway, so...
if [[ -n ${RUBY_FAKEGEM_BINWRAP} ]]; then
- local bindir=$(find "${D}" -type d -path "*/gems/${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/bin" -print -quit)
+ local bindir=$(find "${D}" -type d -path "*/gems/${RUBY_FAKEGEM_NAME}-${RUBY_FAKEGEM_VERSION}/${RUBY_FAKEGEM_BINDIR}" -print -quit)
if [[ -d "${bindir}" ]]; then
pushd "${bindir}" &>/dev/null || die
diff --git a/games-rpg/grimrock/grimrock-20130515.ebuild b/games-rpg/grimrock/grimrock-20130515.ebuild
index 595eaef3748..4e688030599 100644
--- a/games-rpg/grimrock/grimrock-20130515.ebuild
+++ b/games-rpg/grimrock/grimrock-20130515.ebuild
@@ -29,7 +29,6 @@ RDEPEND="
media-libs/libraw
media-libs/jasper
media-libs/openexr
- media-libs/openjpeg:0
media-libs/tiff
sys-libs/zlib
virtual/jpeg:62
diff --git a/mail-client/thunderbird/thunderbird-38.5.0.ebuild b/mail-client/thunderbird/thunderbird-38.5.0.ebuild
index b1ef18a4287..544dae63dc2 100644
--- a/mail-client/thunderbird/thunderbird-38.5.0.ebuild
+++ b/mail-client/thunderbird/thunderbird-38.5.0.ebuild
@@ -284,7 +284,7 @@ src_install() {
|| die
# Pax mark xpcshell for hardened support, only used for startupcache creation.
- pax-mark m "${BUILD_OBJ_DIR}"/mozilla/dist/bin/xpcshell
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
MOZ_MAKE_FLAGS="${MAKEOPTS}" \
emake DESTDIR="${D}" install
diff --git a/profiles/package.mask b/profiles/package.mask
index d9f23c2d5ba..89abbb63595 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -30,6 +30,16 @@
#--- END OF EXAMPLES ---
+# Michael Sterrett <mr_bones_@gentoo.org> (29 Dec 2015)
+# Fetch fails since it looks like it's distributed via stream now (bug #553728)
+# Masked for removal on 20160128
+games-strategy/revenge-of-the-titans
+
+# Michael Sterrett <mr_bones_@gentoo.org> (29 Dec 2015)
+# Lacking in fun; no upstream; crashy (bug #550890)
+# Masked for removal on 20160128
+games-simulation/qct
+
# Justin Lecher <jlec@gentoo.org> (29 Dec 2015)
# Fails to build and test runs
# No reverse deps
@@ -74,10 +84,6 @@ app-doc/ebookmerge
# Masked for removal on 20160120
games-fps/ut2004-ultraduel
-# Hans de Graaff <graaff@gentoo.org> (21 Dec 2015)
-# Mask until issues with non-standard bin dir have been resolved.
-=dev-ruby/bundler-1.11*
-
# Patrick Lauer <patrick@gentoo.org> (20 Dec 2015)
# Mask TOFU release that doesn't work #567768 and friends
=app-crypt/gkeys-gen-0.1-r1